<?php
// Configuration du mot de passe
$password = "c8837b23ff8aaa8a2dde915473ce0991";

// Vérification si le formulaire est soumis
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['password'])) {
    $inputPassword = $_POST['password'];

    if (md5($inputPassword) === $password) {
        // Définir un cookie valable 3 heures
        setcookie("authenticated", "true", time() + (1 * 60 * 60), "/");
        echo json_encode(['status' => 'success']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Mot de passe incorrect.']);
    }
    exit();
} else {
    echo json_encode(['status' => 'error', 'message' => 'Requête invalide.']);
    exit();
}
?>
